import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'
import PortalView from '../views/PortalView.vue'
import GenerateUserStoriesView from '../views/GenerateUserStoriesView.vue'

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/login',
    name: 'login',
    component: LoginView
  },
  {
    path: '/portal',
    name: 'portal',
    component: PortalView
  },
  {
    path: '/generate-user-stories',
    name: 'generateUserStories',
    component: GenerateUserStoriesView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
